<?php
defined('MOODLE_INTERNAL') || die();

class local_usercourse_observer {
    public static function handle_user_created($event) {
        global $DB;

        // Získání dat o novém uživateli
        $userid = $event->objectid;
        $user = $DB->get_record('user', ['id' => $userid]);

        if (!$user) {
            debugging("Uživatel s ID $userid neexistuje.");
            return;
        }

        // Rozhodnutí o kategorii podle e-mailu
        $categoryid = (strpos($user->email, '@students.zcu.cz') !== false) ? 9 : 44;

        // Nastavení názvů kurzu
        $fullname = "Portfolio - {$user->firstname} {$user->lastname}";
        $shortname = "Portfolio - {$user->firstname} {$user->lastname} ({$user->username})";

        // Spuštění Python skriptu pro vytvoření kurzu, obnovení obsahu a nastavení role
        self::call_python_script($userid, $fullname, $shortname, $categoryid);
    }

    private static function call_python_script($userid, $fullname, $shortname, $categoryid) {
        // Cesta k Python skriptu
        $script_path = '/usr/local/share/moodle/local/portfolio/scripts/create_portfolio.py';

        // Příkaz pro spuštění Python skriptu
        $command = escapeshellcmd("python3 $script_path '$userid' '$fullname' '$shortname' '$categoryid'");
        exec($command, $output, $return_var);

        if ($return_var !== 0) {
            debugging("Chyba při spuštění Python skriptu: " . implode("\n", $output));
        } else {
            debugging("Python skript úspěšně dokončen: " . implode("\n", $output));
        }
    }
}
